### Function

# Shell util_has_x11_display_extension

#### Declaration [src]

    gboolean
    shell_util_has_x11_display_extension (
      MetaDisplay* display,
      const char* extension
    )

#### Description [src]

If the corresponding X11 display provides the passed extension, return `TRUE`, otherwise `FALSE`. If there is no X11 display, `FALSE` is passed.

#### Parameters

`display`

  Type: `MetaDisplay`

  A `MetaDisplay`.

  The data is owned by the caller of the function.

`extension`

  Type: `const char*`

  An X11 extension.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.